// Fichier : archive.h
#pragma once

#define VERSION_ARCHIVE 1
#define NOMBRE_MAGIQUE (VERSION_ARCHIVE | ('M' << 24) | ('I' << 16) | ('N' << 8))

#include <stdio.h>

struct Archive
{
	FILE*farc;
	int version;
} ;

bool ouvrir(char*archive,char*mode);
void fermer();

bool verifier_archive(char*archive);
void ajouter_fichier(char*fichier,char*archive);
void extraire(char*destination,char*archive);
void creer_archive(char*archive);
